#include <math.h>
#include <stdio.h>
#include <stdlib.h>


 int  ni;
 int ndat;

  char outputfail[80];

 void main(void)
{
  FILE *inp ;
  int l, i;
  float ran_dat;

	 inp=fopen("Bas.txt","r");

       fscanf(inp,"%s",outputfail); /* Имя вых. файла */
       fscanf(inp,"%d",&ni);        /* Объем выбоpки  */
       fscanf(inp,"%d",&ndat);      /* Hомеp датчика  */

	fclose(inp);


inp=fopen(outputfail,"a");


  switch(ndat)
   {
    case 1:
	   for(i=1; i<=ni; i++)
	   {
	    /* Здесь должно быть смоделиpовано число по 1-му датчику */
	    ran_dat=0.5;
	    fprintf(inp,"%g \n",ran_dat);
	   }
		  break;
    case 2:
	   for(i=1; i<=ni; i++)
	   {
	    /* Здесь должно быть смоделиpовано число по 2-му датчику */
            ran_dat=0.5;
	    fprintf(inp,"%g \n",ran_dat);
	   }
		  break;
    case 3:
	   for(i=1; i<=ni; i++)
	   {
	    /* Здесь должно быть смоделиpовано число по 3-му датчику */
	    ran_dat=0.5;
	    fprintf(inp,"%g \n",ran_dat);
	   }
		  break;
    case 4:
	   for(i=1; i<=ni; i++)
	   {
	    /* Здесь должно быть смоделиpовано число по 4-му датчику */
	    ran_dat=0.5;
	    fprintf(inp,"%g \n",ran_dat);
	   }
		  break;
    case 5:
	   for(i=1; i<=ni; i++)
	   {
	    /* Здесь должно быть смоделиpовано число по 5-му датчику */
	    ran_dat=0.5;
	    fprintf(inp,"%g \n",ran_dat);
	   }
		  break;
    case 6:
	   for(i=1; i<=ni; i++)
	   {
	    /* Здесь должно быть смоделиpовано число по 6-му датчику */
	    ran_dat=0.5;
	    fprintf(inp,"%g \n",ran_dat);
	   }
		  break;
    case 7:
	   for(i=1; i<=ni; i++)
	   {
	    /* Здесь должно быть смоделиpовано число по 7-му датчику */
	    ran_dat=0.5;
	    fprintf(inp,"%g \n",ran_dat);
	   }
		  break;
    case 8:
	   for(i=1; i<=ni; i++)
	   {
	    /* Здесь должно быть смоделиpовано число по 8-му датчику */
	    ran_dat=(float) rand()/(float) RAND_MAX;
	    fprintf(inp,"%g \n",ran_dat);
	   }
		  break;

    default: break;
  }
fclose(inp);

}

